use `qc`;

DROP TABLE IF EXISTS `qc_abnormal`;
CREATE TABLE `qc_abnormal` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `behospital_code` varchar(16) NOT NULL DEFAULT '' COMMENT '病人住院ID',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '异常类型(1:数据模块 2：质控类型 3：XML结构)',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT '异常描述',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT '状态(0:未处理，1：已处理)',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='异常数据监控信息';

DROP TABLE IF EXISTS `med_qcresult_cases`;
CREATE TABLE `med_qcresult_cases` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `hospital_id` bigint(20) DEFAULT '0' COMMENT '医院ID',
  `behospital_code` varchar(255) NOT NULL DEFAULT '' COMMENT '病人住院ID',
  `cases_id` bigint(20) DEFAULT '0' COMMENT '数据模块ID（0:其他模块）',
  `score_res` decimal(5,1) NOT NULL DEFAULT '0.0' COMMENT '最后得分',
  `level` varchar(20) NOT NULL DEFAULT '' COMMENT '等级',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `idx_behospital_code` (`behospital_code`) USING BTREE,
  KEY `idx_hospital_id` (`hospital_id`) USING BTREE,
  KEY `idx_hospital_id_behospital_code` (`hospital_id`,`behospital_code`) USING BTREE,
  KEY `idx_is_deleted` (`is_deleted`) USING BTREE,
  KEY `idx_mix` (`hospital_id`,`behospital_code`,`is_deleted`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='质控评分模块评分信息';

ALTER TABLE `qc`.`qc_model_hospital` ADD COLUMN `gmt_create` DATETIME DEFAULT '1970-01-01 12:00:00' NULL COMMENT '记录创建时间' AFTER `is_deleted`, ADD COLUMN `gmt_modified` DATETIME DEFAULT '1970-01-01 12:00:00' NULL COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改' AFTER `gmt_create`, ADD COLUMN `creator` VARCHAR(60) DEFAULT '0' NULL COMMENT '创建人，0表示无创建人值' AFTER `gmt_modified`, ADD COLUMN `modifier` VARCHAR(60) DEFAULT '0' NULL COMMENT '修改人,如果为0则表示纪录未修改' AFTER `creator`, ADD COLUMN `remark` VARCHAR(255) NULL COMMENT '备注' AFTER `modifier`;
